package com.younike.system.mapper;

import com.younike.system.domain.GoodsCommentResource;

import java.util.List;

/**
 * 评价资源Mapper接口
 *
 * @author elev
 * @date 2022-01-05
 */
public interface GoodsCommentResourceMapper {
    /**
     * 查询评价资源
     *
     * @param recourceId 评价资源主键
     * @return 评价资源
     */
    GoodsCommentResource selectGoodsCommentResourceByRecourceId(Long recourceId);

    /**
     * 查询评价资源列表
     *
     * @param goodsCommentResource 评价资源
     * @return 评价资源集合
     */
    List<GoodsCommentResource> selectGoodsCommentResourceList(GoodsCommentResource goodsCommentResource);

    /**
     * 新增评价资源
     *
     * @param goodsCommentResource 评价资源
     * @return 结果
     */
    int insertGoodsCommentResource(GoodsCommentResource goodsCommentResource);

    /**
     * 修改评价资源
     *
     * @param goodsCommentResource 评价资源
     * @return 结果
     */
    int updateGoodsCommentResource(GoodsCommentResource goodsCommentResource);

    /**
     * 删除评价资源
     *
     * @param recourceId 评价资源主键
     * @return 结果
     */
    int deleteGoodsCommentResourceByRecourceId(Long recourceId);

    /**
     * 批量删除评价资源
     *
     * @param recourceIds 需要删除的数据主键集合
     * @return 结果
     */
    int deleteGoodsCommentResourceByRecourceIds(Long[] recourceIds);

    List<GoodsCommentResource> selectResourcByCommentId(Long commontId);
}
